/*	Author:		Adam Brousseau
	Supervisor: Dr. Ryan Leduc
*/

#pragma once

#include <QDialog>
#include "CommonDefinitions.h"
#include "ui_SubsystemLWSynDialog.h"

namespace DESpot
{
	class SubsystemLWSynDialog : public QDialog, private Ui::SubsystemLWSynDialog
	{
		Q_OBJECT	
		
		public:
			SubsystemLWSynDialog(QWidget* parent = null);
			~SubsystemLWSynDialog(void);

			char Choice();

		private:
			bool BDD();
			bool DES();
			bool BOTH();
	};

} //end of namespace DESpot
